package com.example.floradex20

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.squareup.picasso.Picasso
import kotlin.coroutines.coroutineContext

class FlowerAdapter(val flowers: List<Data>): RecyclerView.Adapter<PlantViewHolder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PlantViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.layout, parent, false)
        return PlantViewHolder(view)
    }

    override fun getItemCount(): Int {
        return flowers.size
    }

    override fun onBindViewHolder(holder: PlantViewHolder, position: Int) {
        return holder.bind(flowers[position])
    }
}

class PlantViewHolder(itemView : View): RecyclerView.ViewHolder(itemView){
    val photo:ImageView = itemView.findViewById(R.id.flower_photo)
    private val title:TextView = itemView.findViewById(R.id.flower_name)
//    private val overview:TextView = itemView.findViewById(R.id.movie_overview)
//    private val rating:TextView = itemView.findViewById(R.id.movie_rating)

    fun bind(plant: Data) {
        //Pomer pa que salga foto de la planta
        val imageurl:String = plant.image_url
//        photo.setImageResource(R.drawable.plant.image_url)
//        ImageView photo = (ImageView) itemView.findViewbyId(R.id.flower_photo)
        Picasso.get().load(imageurl).into(photo)
        title.text = "Name: "+plant.common_name
//        overview.text = plant.overview
//        rating.text = "Rating : "+plant.vote_average.toString()
    }

}


